#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xae12c247, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x5bd2c667, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x6bc7980e, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xac2a7970, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x4cc67099, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x6730ee3d, "");
SYMBOL_CRC(mlx5_cmd_check, 0x281a3707, "");
SYMBOL_CRC(mlx5_cmd_do, 0x10848ef2, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x1342ef05, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x36a4f22c, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x257ae115, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x47a65d25, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xb9ae52bc, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xdaf3352d, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xe848da57, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x2086ddc2, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x87a8552d, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xaf66b8b2, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xbb96bf7b, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x3b36911d, "");
SYMBOL_CRC(mlx5_eq_enable, 0xc3459281, "");
SYMBOL_CRC(mlx5_eq_disable, 0x2718bee3, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xf49319ff, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x3a8d8a55, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x038e79f2, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xfb84a7f1, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x4112b395, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x8fe79d1f, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x0fbb0133, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x4bacbcfe, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x2c716f1b, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x02f43e95, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xe90800f8, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x62f52cda, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x9770e480, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x16803074, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x1ef5d801, "");
SYMBOL_CRC(mlx5_create_cq, 0x25871da0, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x2f6b6028, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xac358cb2, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xf0d3541b, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x0a1d2bfa, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x8dcc1d1c, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x4cfff11f, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x0cd8f1cf, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x93df1330, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x75e33aac, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x79f518d3, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xf088414d, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x2075e60d, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x79589c02, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xba2e7054, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xaa29c66a, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x4e20378b, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x5356f4c5, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x30a0ca2e, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x77821f5e, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xa41083fd, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xa3f77ab7, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xebf62bc4, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x78f23328, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xf9f31ed9, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xa9acb65e, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x6fda7814, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x26773a74, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xbfd1102e, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x8de49651, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x51d4d39f, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x1ea89cb8, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x860bce5d, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xd607d62c, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xd232bd5d, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x664aa0fa, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x8a0530b8, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x162b1177, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x2c312155, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x0a1d6e7a, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x2530a3aa, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x93dcc88f, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x45ec72a5, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x9f04697e, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x3ab2f212, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x8c82ba7a, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x6054dcae, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xed785c32, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x06e245b2, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xb99ebe0e, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x7b721a37, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x728fd07b, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xd6842b2d, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x1d954558, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x5e7587e0, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x8dd3ae55, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x310600ba, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x2fdbc5b2, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x467c8b80, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x308ca885, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x417ade58, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x8efe8a22, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x148194e3, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x7191da3e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x2af35709, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x92a125bb, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x1fc3df30, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0xa0affe0a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xa6053cda, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x45392121, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xa0dfe0a2, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x516aab1f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x6d1d9819, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xc03806cb, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xf5a4b171, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xab5763d0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xfd9f6ae8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x0ad9f774, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x22fe90ff, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xf02d2d0c, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x70f58927, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x9a2f0d71, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xd0552dcd, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x770e2335, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xa25de4d6, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xfb63f888, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x43291d7f, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x2037a871, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x58777f6e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xdf90d629, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x30be3ccc, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xb7ee03fa, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xb9907111, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x58bb4daf, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x6325dc8a, "");
SYMBOL_CRC(mlx5_flow_table_id, 0x6026f81d, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0x1b1f5272, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x31e55aec, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x6ee3b228, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x7e047fc7, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xaf4688a5, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xe4cc95dc, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x6b92269a, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xfd245bdc, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x0efb4e2b, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x8be11289, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xc618e5b8, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xf3338dac, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x56580fc6, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x5ac3389e, "");
SYMBOL_CRC(mlx5_fc_create, 0x8d7730fd, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x4b5c9051, "");
SYMBOL_CRC(mlx5_fc_query, 0x8795d44a, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x73d2653d, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xf2d70e2a, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xcf22cfcc, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xd16b9f9f, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x297e4ab7, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x6016be96, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xe8c7fec1, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x689b1b81, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xfe16a7fd, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xbbedc355, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x1bba1d7b, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x5e966f96, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xe3c76727, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x2bda2fbd, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x256f5623, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x0546b460, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x3122b04a, "");
SYMBOL_CRC(mlx5_notifier_register, 0x09ec749f, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x70079022, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xf4cbb0ba, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x04fdbb4b, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xdeac313a, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xdd27715d, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x62567519, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xe2794b93, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3b3cf8c3, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x58df80c0, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x33ae59c9, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x9e79c736, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x62c71b5e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x56821b93, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x2aaf4b1e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x085fa40e, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x85beee9b, "");
SYMBOL_CRC(mlx5_wc_support_get, 0x5d81f9ed, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x6bbb567b, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x7fe89f7b, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x0a0b2ce5, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x7e2a5d12, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x2440de6d, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xd797afd5, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xebcba591, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x7c2ffe7c, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x95a7c3e7, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x119e8a10, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x8923e16d, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xffff6237, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x60aa0585, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x60fac667, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x7f7c5a5a, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xa7817c45, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xf0a406c5, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xf05b309a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xc87feef3, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x76fec221, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x0dfa1e95, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x73bac460, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x6d57ab6f, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x244130c2, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x6583d040, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x88df30d6, "__inet_lookup_established" },
	{ 0x81e120fd, "xsk_tx_completed" },
	{ 0x65c4e8b2, "napi_alloc_skb" },
	{ 0xf8bc78df, "alloc_etherdev_mqs" },
	{ 0x66df786d, "netdev_lower_get_next" },
	{ 0xc636c755, "secpath_set" },
	{ 0xcc3d0096, "flow_block_cb_lookup" },
	{ 0x552f8192, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x97b5e914, "devl_rate_leaf_create" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xdfc56fb3, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf949cd2c, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdfd4380a, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6bade19, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0xf3b6891f, "bpf_prog_put" },
	{ 0x2a9843dd, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x941135bd, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2a7f0dfa, "pci_cfg_access_unlock" },
	{ 0x320e8011, "xp_dma_map" },
	{ 0x979808, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x85633212, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x56c9bf80, "skb_copy_bits" },
	{ 0x45ba44de, "debugfs_attr_write" },
	{ 0xdcba71cb, "dma_pool_create" },
	{ 0xa8520a23, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x53a8dc24, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x310cd9b0, "pci_enable_device" },
	{ 0xc30d53ea, "skb_put" },
	{ 0xa58fb963, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa9161a89, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xd86997b, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb182082a, "register_fib_notifier" },
	{ 0xe3434313, "auxiliary_device_init" },
	{ 0xbc04461, "ip6_dst_hoplimit" },
	{ 0x6b21428f, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xeffc51b, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x1b435a80, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xe423b6e4, "netif_napi_add_weight" },
	{ 0xdf5c59f9, "pci_enable_atomic_ops_to_root" },
	{ 0x125b4bb4, "seq_release" },
	{ 0x56929805, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xadba93bf, "xsk_clear_tx_need_wakeup" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x52794ac7, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xf29c32b2, "devl_lock" },
	{ 0xa6144980, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9abc4bdb, "ndo_dflt_bridge_getlink" },
	{ 0xbb3f6711, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x604d0753, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x387aef89, "flow_rule_match_tcp" },
	{ 0x19fd09ff, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xc65e8e4e, "register_netdevice_notifier_dev_net" },
	{ 0x26eb7f70, "dma_unmap_page_attrs" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0x944db57, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x692992bf, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x1b566b0d, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x91ac59a7, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xd6482c54, "pci_num_vf" },
	{ 0xda465609, "debugfs_create_atomic_t" },
	{ 0x8e043699, "flow_rule_match_eth_addrs" },
	{ 0x51b97d4e, "pci_disable_ptm" },
	{ 0x292f50e4, "xfrm_state_check_expire" },
	{ 0xc4744fa1, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8441f938, "ptp_clock_index" },
	{ 0xc59744de, "pci_request_regions" },
	{ 0x90d53037, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x342304c1, "flow_block_cb_free" },
	{ 0xc160b3b9, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd436eb5b, "xp_can_alloc" },
	{ 0xc53c8090, "psample_sample_packet" },
	{ 0xedcbf3ee, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x280e44ce, "devlink_alloc_ns" },
	{ 0x18cfeac3, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc0ff36b6, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd65cb00d, "devlink_register" },
	{ 0xd9586af8, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0xb0ea02ee, "seq_lseek" },
	{ 0x49c5899b, "page_pool_destroy" },
	{ 0xfb61db9a, "xdp_do_redirect" },
	{ 0x5f83937f, "devlink_free" },
	{ 0x2b47362a, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe084b858, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb8126707, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x4668f8c3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc37e17b0, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x83d71b9a, "pci_irq_vector" },
	{ 0x2f4180b, "flow_rule_match_ipv4_addrs" },
	{ 0xa0fcc50c, "ip_route_output_flow" },
	{ 0x3d7459a0, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9015ee00, "__dynamic_dev_dbg" },
	{ 0xc7c89da1, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xd0a6197a, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xffb7b9b4, "netdev_err" },
	{ 0x8d1d8a96, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x68b7ca08, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x15881d45, "dev_driver_string" },
	{ 0xf1aa2171, "netdev_port_same_parent_id" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0xd0deb3c1, "dev_addr_mod" },
	{ 0x9d70a5a6, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x589942ef, "ptp_find_pin" },
	{ 0xe1e81a9f, "eth_type_trans" },
	{ 0x1cb9308f, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x73286957, "request_firmware_direct" },
	{ 0x59581ebe, "flow_rule_match_icmp" },
	{ 0xdbafb57f, "auxiliary_driver_unregister" },
	{ 0x8d8fc941, "dma_map_page_attrs" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x5150a66c, "napi_complete_done" },
	{ 0xb0930bb4, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x286cd113, "devlink_port_attrs_pci_vf_set" },
	{ 0x6d088126, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x5ec8a5a3, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeb296e60, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x4c667949, "__napi_schedule" },
	{ 0x34e917a5, "devlink_port_health_reporter_create" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe9e3cd0e, "pcie_relaxed_ordering_enabled" },
	{ 0xc119ecac, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3ac870cf, "devlink_port_attrs_pci_pf_set" },
	{ 0xf5e9903, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x2ef55dbe, "netif_device_detach" },
	{ 0xe2751bb0, "__free_pages" },
	{ 0x39d67a7e, "_dev_info" },
	{ 0xda6726ba, "skb_vlan_pop" },
	{ 0x35f1661e, "napi_gro_receive" },
	{ 0x2016f50a, "netif_device_attach" },
	{ 0x5126b3c, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x90b8be99, "netdev_pick_tx" },
	{ 0x9cb83db9, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x89c3cc8, "xp_raw_get_dma" },
	{ 0x600ee20b, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7a6048da, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x48662a90, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x7fdba459, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x3147f43a, "free_fib_info" },
	{ 0x5ad1897f, "devl_health_reporter_create" },
	{ 0x5f635768, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x20c0d0ae, "pci_msix_can_alloc_dyn" },
	{ 0x94bedfdf, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1e010b47, "unregister_netdevice_notifier_dev_net" },
	{ 0xafd0c2b1, "pci_find_capability" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x5b8a2b0, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x60925d9d, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x51c4b682, "flow_rule_match_ct" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x9257ccb1, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbbd90c4c, "__dma_sync_single_for_cpu" },
	{ 0xaa01e210, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xef7e3412, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x323d5eed, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x129c6c3a, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x216cfd50, "_dev_err" },
	{ 0x81f3c534, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x65707a0b, "softnet_data" },
	{ 0x63dac5d3, "ipv6_stub" },
	{ 0x80bc4ba1, "simple_open" },
	{ 0xbf01b022, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x6b6df153, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcc058d73, "simple_attr_release" },
	{ 0x98da65b8, "ptp_clock_register" },
	{ 0xacfc8bec, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x3e566840, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x4c6fd6a0, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xf20315c5, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0x82d279cc, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xcc832c5b, "irq_get_irq_data" },
	{ 0xc1ac500c, "dev_remove_pack" },
	{ 0x3f32d2fc, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0xb9ca42db, "dev_get_by_index" },
	{ 0xdf66faa2, "bpf_trace_run5" },
	{ 0xa128db33, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x1888299, "skb_store_bits" },
	{ 0x6c57cfda, "devl_port_register_with_ops" },
	{ 0x5fb4adb2, "dev_get_by_index_rcu" },
	{ 0x5db228c5, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x415212b2, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb3edc20, "skb_push" },
	{ 0xc2ae4777, "kmem_cache_free" },
	{ 0x31879357, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x833ed0a6, "debugfs_remove" },
	{ 0xdff53015, "pci_read_config_word" },
	{ 0x9b3be697, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0xadb9efd0, "xsk_clear_rx_need_wakeup" },
	{ 0x79430f48, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5cca2aff, "unregister_netdevice_notifier_net" },
	{ 0xb2e614ed, "auxiliary_device_sysfs_irq_remove" },
	{ 0xbf55953b, "xsk_uses_need_wakeup" },
	{ 0x766bbd4d, "register_netdev" },
	{ 0xc39d3cdb, "unregister_fib_notifier" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x34238071, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xe34d2247, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa19baed4, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xe2394bc8, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5b8a1594, "devl_params_register" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x7234b691, "page_pool_put_unrefed_netmem" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbe1a87d8, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc09b90c1, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x76e00ae8, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe5d26664, "pci_restore_state" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0x726a8529, "__inet6_lookup_established" },
	{ 0x9fda8704, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xe8dfb63d, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x3455d782, "page_pool_create" },
	{ 0x1d3b2156, "skb_checksum" },
	{ 0x22522998, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x8c79f1b, "_dev_warn" },
	{ 0x5ada779f, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xcf5b795, "__kmalloc_cache_node_noprof" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x6634fc12, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd18f4611, "devl_resources_unregister" },
	{ 0x36705cb4, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x42e8460b, "netif_schedule_queue" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x518775e0, "pci_set_master" },
	{ 0xdec5668b, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x57d45f46, "debugfs_create_u32" },
	{ 0xca1c732a, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe9083332, "flow_rule_match_ipv6_addrs" },
	{ 0x342c8d32, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xddedbe6, "devl_params_unregister" },
	{ 0xe86eda8d, "ptp_clock_unregister" },
	{ 0xaead52ef, "__pskb_pull_tail" },
	{ 0x1ac17be0, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x5790bc7c, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xc8e081, "devlink_trap_report" },
	{ 0xee678b9d, "__kmem_cache_create_args" },
	{ 0xef05691a, "__neigh_event_send" },
	{ 0x18b7bffb, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x9c895964, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x968f2e25, "devl_traps_register" },
	{ 0x36460ef9, "devl_unlock" },
	{ 0xef809633, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x706be2ee, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x9f21f399, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xb49d5235, "flow_rule_match_enc_control" },
	{ 0x683dadbe, "bpf_trace_run3" },
	{ 0x31eece4d, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x974bb139, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc08f7c01, "debugfs_create_file" },
	{ 0x4a5370e3, "rps_may_expire_flow" },
	{ 0xb23cc71d, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xc11a90c3, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x6ac9cacd, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa087d9b7, "netdev_reset_tc" },
	{ 0x18de47e4, "neigh_destroy" },
	{ 0xbeb06c81, "dma_free_attrs" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x29e6f6d3, "pci_reset_bus" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xaacd6382, "debugfs_create_x32" },
	{ 0x800cc33c, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xacd90b92, "flow_rule_match_enc_ports" },
	{ 0x4db641e7, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc5c2b0e5, "pci_release_regions" },
	{ 0xabc78fc, "netif_queue_set_napi" },
	{ 0xad1d6f87, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xabc6fa72, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x8450a9f9, "devl_assert_locked" },
	{ 0xe9aaa176, "pcie_print_link_status" },
	{ 0x63c013d4, "xp_set_rxq_info" },
	{ 0x7833d203, "flow_rule_match_vlan" },
	{ 0x8ed16554, "devl_port_unregister" },
	{ 0x5f5d28, "xdp_rxq_info_unreg" },
	{ 0x576a91cc, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x6988be04, "devl_param_driverinit_value_get" },
	{ 0x144fb58, "napi_build_skb" },
	{ 0x6e09b6e7, "netdev_master_upper_dev_get_rcu" },
	{ 0x7d114f58, "__xdp_rxq_info_reg" },
	{ 0x7d39a860, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0xf9429dd8, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xce9c2ba5, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf6fd34e6, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36ae1e0a, "netif_carrier_off" },
	{ 0xd1550e21, "seq_printf" },
	{ 0xf4ca84dd, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x64fee020, "devlink_priv" },
	{ 0x6dcbfc9, "pci_enable_ptm" },
	{ 0x8c6c0fb3, "devlink_port_register_with_ops" },
	{ 0xc818208e, "pci_disable_sriov" },
	{ 0x148f03b9, "metadata_dst_alloc" },
	{ 0xfc901b6b, "dst_release" },
	{ 0xbfecad38, "netif_carrier_on" },
	{ 0xe432bd1f, "netdev_set_num_tc" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc1aa8a4d, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6db94d3e, "alloc_pages_noprof" },
	{ 0xe22699f6, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x780eee77, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xc92529e4, "page_pool_update_nid" },
	{ 0x7d602a8d, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8be94d7d, "dma_set_mask" },
	{ 0x2ebb7ad5, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb6431a2, "netif_set_tso_max_size" },
	{ 0x197598c3, "vlan_dev_vlan_id" },
	{ 0xb27472b5, "__skb_flow_dissect" },
	{ 0x6001d32e, "pci_msix_alloc_irq_at" },
	{ 0x47ae616d, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xf00cf44a, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x858a93b6, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5d609d92, "skb_coalesce_rx_frag" },
	{ 0xcb36cd18, "xp_raw_get_data" },
	{ 0x4f37d1ef, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x94427d0c, "napi_schedule_prep" },
	{ 0xc8661f03, "qdisc_reset" },
	{ 0x185ddbd8, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xcca35b10, "xp_alloc_batch" },
	{ 0xe0c82e47, "flow_rule_match_mpls" },
	{ 0x75f298a5, "napi_disable" },
	{ 0xf2820152, "dev_kfree_skb_any_reason" },
	{ 0x688262dd, "dcb_ieee_delapp" },
	{ 0xb15ae148, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x419a74ce, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc933d9b, "debugfs_create_u8" },
	{ 0x4b8e79f4, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x327541b2, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x408a805b, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x58ca38e5, "skb_ext_add" },
	{ 0x3c83243b, "pcie_bandwidth_available" },
	{ 0xcf6e3b39, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xb0496e51, "flow_rule_match_control" },
	{ 0xe2e3f3ab, "flow_rule_match_ip" },
	{ 0x77eb3c0d, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcae0e505, "auxiliary_device_sysfs_irq_add" },
	{ 0x58a17cff, "dcb_ieee_setapp" },
	{ 0x49da30ef, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcd2caf0, "xsk_tx_release" },
	{ 0x452ad52c, "devl_traps_unregister" },
	{ 0x73eb1db7, "pci_iov_get_pf_drvdata" },
	{ 0x5d537b2a, "pci_write_config_dword" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x1c7b9fd8, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xf42bb633, "neigh_lookup" },
	{ 0x395e4eba, "kmem_cache_destroy" },
	{ 0x8e422fc0, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "69226BAAC9B0E194A10B682");
MODULE_INFO(rhelversion, "10.1");
