#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x2baa42da, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x9a78eb82, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x82685253, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xe2d4e19f, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x59b045b5, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x6993c3a8, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xbee76d7f, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x748a0d1b, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xcdc84b7e, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x7cf6f005, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xec91e895, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x9e582fbb, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xac9b40b1, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xcb84a432, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x3b8ec016, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x6cc80c27, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x1424d827, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0xbe25ce0e, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xfb5df445, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0xe7d4a2e7, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xecc2cf08, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0xdca2f0d7, "");
SYMBOL_CRC(fcoe_transport_detach, 0xc672fb1c, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x8b0d5374, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xc8847ea8, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xaf0b5152, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xfe687aeb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76f881b9, "fc_rport_lookup" },
	{ 0x65586a5a, "dev_get_stats" },
	{ 0x6bade19, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa8520a23, "param_ops_uint" },
	{ 0xc30d53ea, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1493f617, "dev_set_name" },
	{ 0x1569be51, "consume_skb" },
	{ 0x4fd2a74f, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x992b7f4b, "device_unregister" },
	{ 0xc36a33, "skb_dequeue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0xd660430, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x4ad4f558, "fc_disc_init" },
	{ 0xa1303e43, "fc_rport_login" },
	{ 0x44dfd09c, "skb_queue_purge_reason" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x3f5750, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeb296e60, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xdd5b4400, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x214168b3, "fc_lport_reset" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8937e213, "bus_unregister" },
	{ 0x81f3c534, "init_net" },
	{ 0xbf01b022, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb3edc20, "skb_push" },
	{ 0x17e6f491, "fc_lport_set_local_id" },
	{ 0xabbd6a86, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x76e00ae8, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x53f96281, "device_register" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xea637019, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x29101def, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe896951e, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaead52ef, "__pskb_pull_tail" },
	{ 0x10fa2c78, "fc_fcp_init" },
	{ 0x5790bc7c, "__netdev_alloc_skb" },
	{ 0x2299842d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6ac9cacd, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a316865, "__folio_put" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48d4a65f, "dev_get_by_name" },
	{ 0xf906578a, "skb_clone" },
	{ 0x68f0c9f, "fc_seq_els_rsp_send" },
	{ 0x6db94d3e, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xf914973f, "param_ops_int" },
	{ 0x4a3fa4a9, "fc_rport_create" },
	{ 0x159aa203, "_dev_printk" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0xc6336e3b, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x3bc15f91, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x199605cc, "fc_linkup" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "38CF7EEE172F8884AD7B426");
MODULE_INFO(rhelversion, "10.1");
