#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xf3b1c080, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x3288b3dc, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xde2a393b, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x33583b55, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x544e6608, "");
SYMBOL_CRC(sas_resume_ha, 0xef8a8eeb, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x1b5308bd, "");
SYMBOL_CRC(sas_suspend_ha, 0x06fd39ab, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xbc52bd5a, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xd8f3b247, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x1f70e3fe, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xc40425f7, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x6e20f43b, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xa346dca6, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x698716fc, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xb767d557, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xaf65ad4e, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x9b02d39d, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xd07c885b, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x466038f8, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x0603cda3, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xfbcc86ed, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x0f4fc5d4, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x8b9f0c82, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xedc784b6, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x1cb5565c, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x983488d5, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0xc42acc97, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x4440b05b, "_gpl");
SYMBOL_CRC(sas_query_task, 0x2aa66976, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xdee571eb, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x1a1147eb, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x9ab0b611, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xedec1ba9, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x41add8aa, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xc272d9d1, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2d04b88d, "sas_rphy_remove" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x87b49464, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc0f3c246, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x106317f1, "scsi_schedule_eh" },
	{ 0xfcc4b0a0, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xe3ce67c5, "sas_port_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd3ddee25, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x33604cf5, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xc68739a5, "get_device" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x79164ee7, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xeb296e60, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x39d67a7e, "_dev_info" },
	{ 0xa72491b, "sas_phy_free" },
	{ 0x2809d97, "scsi_eh_finish_cmd" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2947d0b2, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x36dc522, "sas_port_mark_backlink" },
	{ 0xc2ae4777, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9063378d, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xba5eb744, "sas_read_port_mode_page" },
	{ 0xe3fdb232, "sas_expander_alloc" },
	{ 0x8c79f1b, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6b3ca40f, "sas_rphy_delete" },
	{ 0xa4c835e3, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xf13f162a, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xca1c732a, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xee678b9d, "__kmem_cache_create_args" },
	{ 0x157c5d64, "scsi_host_busy" },
	{ 0xee89cc93, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0aba64c, "sas_rphy_add" },
	{ 0x75f62fd1, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2f37da53, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca12e980, "sas_port_add_phy" },
	{ 0x3c651008, "blk_mq_tagset_busy_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x2b6b4e88, "scsi_done" },
	{ 0x77fd9470, "scsi_unblock_requests" },
	{ 0xe2a1889b, "sas_phy_add" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0x3bbb9e0b, "sas_port_free" },
	{ 0xaa981a33, "scsi_block_requests" },
	{ 0x3319166d, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0xc117aa72, "sas_remove_children" },
	{ 0x9d6506e5, "scsi_change_queue_depth" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x395e4eba, "kmem_cache_destroy" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "F99BAF5465DB39FCB5FCA5B");
MODULE_INFO(rhelversion, "10.1");
