#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xe012a63e, "");
SYMBOL_CRC(wpan_phy_for_each, 0x63dd8b9b, "");
SYMBOL_CRC(wpan_phy_new, 0xafc873fc, "");
SYMBOL_CRC(wpan_phy_register, 0x3132d4a8, "");
SYMBOL_CRC(wpan_phy_unregister, 0xc7087e85, "");
SYMBOL_CRC(wpan_phy_free, 0x9d8cda12, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x1abf6410, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xe1475863, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x4047e85f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xc6d74eda, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x00c77e0a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x49211571, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xa4e103a1, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0xbc82b3dd, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x6e4f2317, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x0b96b540, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x7ecd4ee4, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x5c6f4a7b, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xd88e15b2, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x586092f2, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0xe8ae7277, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x6847e24b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x979808, "bpf_trace_run4" },
	{ 0xc30d53ea, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1493f617, "dev_set_name" },
	{ 0xff7425cb, "trace_output_call" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0x784bd505, "device_initialize" },
	{ 0x676df16, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe084b858, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc68739a5, "get_device" },
	{ 0xf59638a3, "netlink_broadcast_filtered" },
	{ 0x906c3d5a, "device_rename" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xeb296e60, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc8395ecf, "__alloc_skb" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe7496336, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xef7e3412, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0x81f3c534, "init_net" },
	{ 0xbf01b022, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x91604958, "device_add" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0xce918e17, "netlink_unicast" },
	{ 0xb9ca42db, "dev_get_by_index" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb3edc20, "skb_push" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa00a56d0, "class_unregister" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xaf7a6837, "unregister_pernet_device" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0xe8dfb63d, "device_del" },
	{ 0x2f5fcf33, "dev_set_mac_address" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xaead52ef, "__pskb_pull_tail" },
	{ 0x2299842d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x683dadbe, "bpf_trace_run3" },
	{ 0xb3829112, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb65ced0b, "get_net_ns_by_pid" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ab99799, "device_match_name" },
	{ 0x48d4a65f, "dev_get_by_name" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x781e3505, "genl_unregister_family" },
	{ 0xbf3e8985, "genl_register_family" },
	{ 0x69f0a3d7, "__dev_change_net_namespace" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x1e215b02, "register_pernet_device" },
	{ 0xb66e1cf9, "get_net_ns_by_fd" },
	{ 0x2ee2bcb4, "class_register" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0xaaaaa69a, "class_find_device" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3C77E7412EDBA11A32023EE");
MODULE_INFO(rhelversion, "10.1");
