#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xb9116bc2, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x42b44879, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x97587d3f, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x8c0e3215, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x00bbcd88, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x2abb6ea9, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x994e4b56, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xfd93a337, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xb2090992, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x74acf5a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfca9b5cf, "dst_cache_set_ip4" },
	{ 0x7fdc5e1e, "kernel_bind" },
	{ 0xb234b89a, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8126707, "netdev_warn" },
	{ 0x4668f8c3, "udp_tunnel_nic_ops" },
	{ 0xa0fcc50c, "ip_route_output_flow" },
	{ 0x63dac5d3, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x974e3ab3, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b23c7ef, "iptunnel_xmit" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x68a79b7d, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2299842d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xef809633, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xae52a195, "dst_cache_get_ip4" },
	{ 0xff438376, "sock_create_kern" },
	{ 0xcac27531, "call_netdevice_notifiers" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x148f03b9, "metadata_dst_alloc" },
	{ 0xfc901b6b, "dst_release" },
	{ 0x7e686e32, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x55668e03, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DACA5850397D94AAFBE6EC8");
MODULE_INFO(rhelversion, "10.1");
