#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x2957ae10, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x410b6ef2, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0xb3d8580d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x1deba0d6, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xf1d49618, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xbf450611, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x4bf86184, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x135ab626, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x4bb4a9f2, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xd43276a9, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x4baa5f7a, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x646de81f, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xa15a79a1, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xcf865111, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x51d9f226, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x1e33f6c8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x96a5c5d1, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x2c04ab84, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x1787a54d, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x4c5ebec3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0xe084b858, "bpf_trace_run2" },
	{ 0x6e2ffda1, "sk_error_report" },
	{ 0x56e741c8, "ip_icmp_error" },
	{ 0x188a299b, "ipv6_icmp_error" },
	{ 0xff438376, "sock_create_kern" },
	{ 0x7fdc5e1e, "kernel_bind" },
	{ 0x68a79b7d, "kernel_connect" },
	{ 0xdce47c35, "udp_sock_create6" },
	{ 0x974e3ab3, "kernel_sock_shutdown" },
	{ 0x7e686e32, "sock_release" },
	{ 0xb9116bc2, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0x1e215b02, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaf7a6837, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0xdd5b4400, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe4e030a2, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xaead52ef, "__pskb_pull_tail" },
	{ 0x5305a26d, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb234b89a, "udp_set_csum" },
	{ 0xaf81748, "ip_queue_xmit" },
	{ 0xbdb280f9, "udp6_set_csum" },
	{ 0x5a7285a3, "inet6_csk_xmit" },
	{ 0xfc901b6b, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc36a33, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0x502bbd4b, "sockfd_lookup" },
	{ 0xe50a9088, "lock_sock_nested" },
	{ 0x7a2423dd, "release_sock" },
	{ 0xe46ab430, "fput" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x42b44879, "setup_udp_tunnel_sock" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "10.1");
