#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x8906917f, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x44c83524, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x6a694b70, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xbe2aea42, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x95c31128, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xac029740, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78f02b6d, "nf_ct_ext_add" },
	{ 0xe10a879, "nsh_pop" },
	{ 0x857590e, "nf_conntrack_find_get" },
	{ 0x780270f2, "nf_ct_set_timeout" },
	{ 0x65586a5a, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0x4fdeb7e8, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xecfdf334, "dev_fill_metadata_dst" },
	{ 0x979808, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x56c9bf80, "skb_copy_bits" },
	{ 0x879da2e1, "nf_ct_handle_fragments" },
	{ 0xb0c82aa9, "eth_mac_addr" },
	{ 0xc30d53ea, "skb_put" },
	{ 0xdcaff3f8, "genl_notify" },
	{ 0xec66ccc7, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x1569be51, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xbb3bfdea, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfff49e63, "skb_eth_pop" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0xcff922bc, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x5c519c4f, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x81d76762, "nf_ct_helper" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0x63c3c228, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0xb95db8d2, "rtnl_delete_link" },
	{ 0xfd8e75d3, "rtnl_link_register" },
	{ 0xfb7ffa09, "nf_connlabels_put" },
	{ 0x676df16, "genlmsg_put" },
	{ 0x90d53037, "___pskb_trim" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc53c8090, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1f70046, "dev_set_promiscuity" },
	{ 0x9452b8ca, "nf_ct_destroy_timeout" },
	{ 0x636e18f5, "nf_ct_add_helper" },
	{ 0x13969161, "nf_conntrack_helper_put" },
	{ 0xe300e11, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa73a7f57, "nf_ct_skb_network_trim" },
	{ 0xcb476259, "unregister_netdevice_queue" },
	{ 0x36005e61, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0xa1162bd4, "ether_setup" },
	{ 0xf59638a3, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5305a26d, "pskb_expand_head" },
	{ 0xcb8b8f7d, "skb_csum_hwoffload_help" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0xd0deb3c1, "dev_addr_mod" },
	{ 0x379eb2f8, "nf_connlabels_replace" },
	{ 0xe1e81a9f, "eth_type_trans" },
	{ 0xc7372aae, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xa6199f67, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x10e0dc66, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe8fa7ad, "skb_eth_push" },
	{ 0x7008a823, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc8395ecf, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6ce41d97, "skb_mpls_pop" },
	{ 0xda6726ba, "skb_vlan_pop" },
	{ 0xd2ef7b8e, "dst_init" },
	{ 0xcc317fb8, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x10f9869c, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd05975ae, "rtnl_link_unregister" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0x81f3c534, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x63dac5d3, "ipv6_stub" },
	{ 0x17237693, "skb_mpls_update_lse" },
	{ 0xbf01b022, "skb_pull" },
	{ 0x815bb19c, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0xce918e17, "netlink_unicast" },
	{ 0xdf66faa2, "bpf_trace_run5" },
	{ 0x5fb4adb2, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbb3edc20, "skb_push" },
	{ 0xc2ae4777, "kmem_cache_free" },
	{ 0xb18b2553, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0x2a4e091d, "skb_ensure_writable" },
	{ 0xa19baed4, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c2b380e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xaf7a6837, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe1a87d8, "ethtool_op_get_link" },
	{ 0xa049f9ac, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x11595922, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xca1c732a, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaead52ef, "__pskb_pull_tail" },
	{ 0x95d0aa94, "nf_ct_delete" },
	{ 0xbc424a57, "nf_conncount_init" },
	{ 0x70cb9727, "skb_vlan_push" },
	{ 0xfc90b160, "netif_rx" },
	{ 0x5790bc7c, "__netdev_alloc_skb" },
	{ 0xee678b9d, "__kmem_cache_create_args" },
	{ 0x7bac66b8, "netdev_master_upper_dev_link" },
	{ 0xce0ba44, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x8ea2d98c, "inet_proto_csum_replace16" },
	{ 0x2299842d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xa1ba5fb8, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x876c665f, "nf_ct_deliver_cached_events" },
	{ 0x974bb139, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x5ec75c0b, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6ac9cacd, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x6a4deb6d, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75beb9ac, "inet_proto_csum_replace4" },
	{ 0xdf928b95, "nf_conncount_destroy" },
	{ 0x7dc2476b, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0xf9429dd8, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x48d4a65f, "dev_get_by_name" },
	{ 0xf906578a, "skb_clone" },
	{ 0x148f03b9, "metadata_dst_alloc" },
	{ 0xfc901b6b, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x75d22f92, "peernet2id_alloc" },
	{ 0xf1446156, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7e149c0c, "netdev_rx_handler_register" },
	{ 0xdb631316, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x781e3505, "genl_unregister_family" },
	{ 0xb280cea2, "dev_disable_lro" },
	{ 0x9a3614ae, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xf2820152, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbf3e8985, "genl_register_family" },
	{ 0x43eb44c2, "nf_ct_tmpl_free" },
	{ 0xd11a8826, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xbce638cf, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xa773dae7, "skb_mpls_push" },
	{ 0x1e215b02, "register_pernet_device" },
	{ 0x993091bf, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x395e4eba, "kmem_cache_destroy" },
	{ 0x450e351f, "__skb_vlan_pop" },
	{ 0xa6f357f5, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3728b723, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "9F186443EAE7E09484519AC");
MODULE_INFO(rhelversion, "10.1");
