#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_kunit_helper_alloc_device, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_free_device, "_gpl", "");
KSYMTAB_FUNC(__drm_kunit_helper_alloc_drm_device_with_driver, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_acquire_ctx_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_atomic_state_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_primary_plane, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_crtc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_display_mode_from_cea_vic, "_gpl", "");

SYMBOL_CRC(drm_kunit_helper_alloc_device, 0x9e29fc92, "_gpl");
SYMBOL_CRC(drm_kunit_helper_free_device, 0x830e2311, "_gpl");
SYMBOL_CRC(__drm_kunit_helper_alloc_drm_device_with_driver, 0x60049dc0, "_gpl");
SYMBOL_CRC(drm_kunit_helper_acquire_ctx_alloc, 0x489ed07e, "_gpl");
SYMBOL_CRC(drm_kunit_helper_atomic_state_alloc, 0x9e56648a, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_primary_plane, 0x92895ff0, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_crtc, 0xe0d45304, "_gpl");
SYMBOL_CRC(drm_kunit_display_mode_from_cea_vic, 0x9bc65563, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14723e77, "kunit_device_register" },
	{ 0xa45a238d, "kunit_device_unregister" },
	{ 0x666f2e79, "__devm_drm_dev_alloc" },
	{ 0x33a8465f, "drmm_mode_config_init" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2debe123, "drm_modeset_drop_locks" },
	{ 0xa6689241, "drm_modeset_acquire_fini" },
	{ 0x2169e03, "kunit_kmalloc_array" },
	{ 0xec165a35, "drm_modeset_acquire_init" },
	{ 0xae2eca2c, "kunit_add_action_or_reset" },
	{ 0xafc9dca2, "kunit_binary_ptr_assert_format" },
	{ 0xb4bb7c58, "__kunit_do_failed_assertion" },
	{ 0x3378ab5c, "__kunit_abort" },
	{ 0xfc108d13, "drm_atomic_state_alloc" },
	{ 0xcadbd8fb, "__drmm_universal_plane_alloc" },
	{ 0xb4c6eee7, "kunit_ptr_not_err_assert_format" },
	{ 0xacbc97d, "drmm_kmalloc" },
	{ 0xc77f9f04, "drmm_crtc_init_with_planes" },
	{ 0xc280a33b, "kunit_binary_assert_format" },
	{ 0x151d30a, "drm_display_mode_from_cea_vic" },
	{ 0x21b46ba1, "drm_mode_destroy" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa4badb73, "drm_atomic_helper_check" },
	{ 0x89b829c8, "drm_atomic_helper_commit" },
	{ 0xbd2b92d4, "drm_atomic_helper_plane_reset" },
	{ 0x2ee4cda1, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x615af8c9, "drm_atomic_helper_plane_destroy_state" },
	{ 0x19fc7a60, "drm_atomic_helper_crtc_reset" },
	{ 0xca79a2a9, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xf68df78f, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "kunit,drm,drm_kms_helper");


MODULE_INFO(srcversion, "B4063EC70501F32DCC24F2A");
MODULE_INFO(rhelversion, "10.1");
