#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x1c9e6fef, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x765dcfa8, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xb5327994, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x2f5284e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x97893204, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x56c9bf80, "skb_copy_bits" },
	{ 0x1e9e8b41, "__nlmsg_put" },
	{ 0x78d8d30e, "netdev_adjacent_change_commit" },
	{ 0xb0c82aa9, "eth_mac_addr" },
	{ 0xc30d53ea, "skb_put" },
	{ 0xa9161a89, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbc04461, "ip6_dst_hoplimit" },
	{ 0xaab546f5, "param_ops_ushort" },
	{ 0x1569be51, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xb9116bc2, "udp_sock_create4" },
	{ 0x7337d0eb, "udp_tunnel6_xmit_skb" },
	{ 0xfd8e75d3, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x46cf6200, "__unregister_nexthop_notifier" },
	{ 0x671f6f26, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b747853, "eth_validate_addr" },
	{ 0x9790f97b, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb4595f22, "rtnl_create_link" },
	{ 0xcb476259, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x431d9528, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa1162bd4, "ether_setup" },
	{ 0x8c0e3215, "udp_tunnel_drop_rx_port" },
	{ 0xd292016a, "netdev_upper_dev_link" },
	{ 0x5305a26d, "pskb_expand_head" },
	{ 0x12db1491, "register_pernet_subsys" },
	{ 0xd0deb3c1, "dev_addr_mod" },
	{ 0xe1e81a9f, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xc8395ecf, "__alloc_skb" },
	{ 0xbbcd88, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9482401a, "eth_gro_complete" },
	{ 0x1ce5089e, "rtnl_set_sk_err" },
	{ 0xebe4afab, "eth_gro_receive" },
	{ 0x454b99d4, "rtnl_configure_link" },
	{ 0x2a4ea1b4, "skb_tunnel_check_pmtu" },
	{ 0x74acf5a1, "udp_tunnel_dst_lookup" },
	{ 0xb1395444, "rtnl_unicast" },
	{ 0x92595c1b, "peernet2id" },
	{ 0x10f9869c, "__skb_get_hash_net" },
	{ 0xfbeb71ee, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xef7e3412, "__dev_get_by_index" },
	{ 0xd05975ae, "rtnl_link_unregister" },
	{ 0x63dac5d3, "ipv6_stub" },
	{ 0xbf01b022, "skb_pull" },
	{ 0xb14d0309, "gro_find_complete_by_type" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5fb4adb2, "dev_get_by_index_rcu" },
	{ 0x254609b9, "gro_cells_receive" },
	{ 0xbb3edc20, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xb18b2553, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xadb5422f, "__rtnl_register_many" },
	{ 0xa19baed4, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xad49db3, "ip_mc_join_group" },
	{ 0x97587d3f, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe50a9088, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe1a87d8, "ethtool_op_get_link" },
	{ 0xcc3eef93, "nexthop_find_by_id" },
	{ 0x70dfc638, "arp_create" },
	{ 0x76e00ae8, "__ethtool_get_link_ksettings" },
	{ 0xafc8626b, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xa38027a4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x7d7878dc, "netdev_adjacent_change_abort" },
	{ 0xfd93a337, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8bea5a78, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbaec960a, "__iptunnel_pull_header" },
	{ 0xaead52ef, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xfc90b160, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x42b44879, "setup_udp_tunnel_sock" },
	{ 0xdce47c35, "udp_sock_create6" },
	{ 0x2299842d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xef809633, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xa1ba5fb8, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x80b03a83, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb23cc71d, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x18de47e4, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc20ec03, "param_ops_bool" },
	{ 0xb2090992, "udp_tun_rx_dst" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0xc36b2724, "rtnl_notify" },
	{ 0x994e4b56, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3efdf7cd, "__netif_rx" },
	{ 0xf906578a, "skb_clone" },
	{ 0x148f03b9, "metadata_dst_alloc" },
	{ 0xfc901b6b, "dst_release" },
	{ 0xc1aa8a4d, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x2abb6ea9, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8cfdfde2, "register_nexthop_notifier" },
	{ 0xf4ffc324, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb57be6c, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x6f263d88, "gro_find_receive_by_type" },
	{ 0x389a3040, "netdev_core_stats_inc" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x1c7b9fd8, "netdev_info" },
	{ 0xf42bb633, "neigh_lookup" },
	{ 0x7a2423dd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3728b723, "register_netdevice" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "7B375E09E8755C1D9B007E8");
MODULE_INFO(rhelversion, "10.1");
