#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xa80e9bd0, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xcee042bb, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x024bc3b1, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x0f553ee4, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x3344615e, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xf012a480, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xf411be84, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x3490892b, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x0974e298, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xa8735627, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xfc1d10fb, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x4fe6de18, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x0fc87730, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xd1c1484e, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x07a581fd, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xe29a9f58, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x73711ed3, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x3c9effd8, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x355db73e, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x242cb141, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xc84a8a52, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x27db5d91, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x8fc9b46e, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x9916a893, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x87c0f08f, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x54377954, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x1076472e, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x598207ee, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xe0b46b2f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x05a0e143, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x6d9bb9a7, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x72b4ec59, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xafb22398, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xf00ff842, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x6f284c65, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xacf59f10, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x84d4f46b, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x6a019006, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xd9ce0897, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xd1b4cef2, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x79ced59e, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x8984c798, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x62c00a62, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xa4bf3d01, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x9f99a17f, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xf301f65a, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xbd155b7e, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x703a0caa, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x48e5a064, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x7cd9dccb, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xf6c0f117, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x28b06726, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xcb99a960, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x4c81b489, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xd297d4d6, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x6bed89f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x35019004, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x27ceb69a, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x4181eff7, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x5fd6ad1e, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x6f49fd24, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xa4763090, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba6a060d, "set_capacity_and_notify" },
	{ 0x9d5a7fdc, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf9cde3fe, "set_disk_ro" },
	{ 0x71a355e1, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4fdeb7e8, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6bade19, "vmemmap" },
	{ 0xdc4926, "blk_rq_integrity_map_user" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xba64d39d, "device_remove_file_self" },
	{ 0xa8520a23, "param_ops_uint" },
	{ 0x9576fb4c, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1493f617, "dev_set_name" },
	{ 0x19de6c4c, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x78ccf9d, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xdc02cfb4, "blk_mq_tagset_wait_completed_request" },
	{ 0xe1878854, "cdev_device_del" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x29b35465, "queue_limits_stack_bdev" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x784bd505, "device_initialize" },
	{ 0xebdb43db, "blk_mq_unquiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x9cd1b788, "blk_mq_quiesce_queue" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x1fc0050, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x87ac38ba, "__traceiter_block_bio_remap" },
	{ 0x8795b9b1, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe084b858, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x2b6a66e2, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x68e31398, "param_ops_byte" },
	{ 0xc68739a5, "get_device" },
	{ 0x7aa26cf5, "blk_mq_end_request" },
	{ 0xf5e70937, "__blk_mq_alloc_disk" },
	{ 0x9015ee00, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x63b45379, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x57cc0425, "blk_mq_alloc_tag_set" },
	{ 0x3010e0db, "blk_rq_is_poll" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0xafff8e25, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc39010d, "put_disk" },
	{ 0xe7fd25c4, "crypto_alloc_kpp" },
	{ 0xee0f3018, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x80d3eab7, "blk_execute_rq" },
	{ 0xeb296e60, "put_device" },
	{ 0x9710206, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x88d84d79, "blk_mq_free_request" },
	{ 0xe2751bb0, "__free_pages" },
	{ 0x39d67a7e, "_dev_info" },
	{ 0xd056867c, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcc317fb8, "module_put" },
	{ 0xfa10d61f, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd0953106, "nvme_auth_gen_pubkey" },
	{ 0x5ccbf13b, "compat_ptr_ioctl" },
	{ 0x5d42cdf6, "blk_rq_poll" },
	{ 0x22374d9e, "blk_mq_quiesce_tagset" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xa74aaa0b, "kobject_uevent_env" },
	{ 0x9b4f620f, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0x216cfd50, "_dev_err" },
	{ 0xf3c3221f, "blk_revalidate_disk_zones" },
	{ 0x4f8badb7, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x91604958, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x57030f50, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x98dfff1a, "sysfs_remove_link" },
	{ 0xa26f7e42, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x3c27d6c3, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x4e9c7339, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa44ba9fd, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3319f5c6, "blk_sync_queue" },
	{ 0x5ddbebfd, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2144f1a5, "blk_mq_alloc_request_hctx" },
	{ 0xe512763e, "__io_uring_cmd_do_in_task" },
	{ 0x4877f29a, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8f71e7d7, "crypto_shash_update" },
	{ 0xa00a56d0, "class_unregister" },
	{ 0x97fedb53, "blk_mq_free_tag_set" },
	{ 0xd5be13e8, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xfcaca0c2, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x7eebb85a, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x77ce5dce, "blk_put_queue" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0xe8dfb63d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x8c79f1b, "_dev_warn" },
	{ 0xcf5b795, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe9c1adc7, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xee678b9d, "__kmem_cache_create_args" },
	{ 0xbef03276, "io_uring_cmd_done" },
	{ 0xe5c9b387, "blk_rq_unmap_user" },
	{ 0xd5306efb, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x167521c9, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x683dadbe, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x873e73ee, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0xebc53294, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc20ec03, "param_ops_bool" },
	{ 0x7a5575a4, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xedbab8a7, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xd29ae897, "disk_live" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x7acd4e57, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x6db94d3e, "alloc_pages_noprof" },
	{ 0x3c651008, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xba7c548f, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x59df126, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x29ddd080, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xb1916868, "blk_mark_disk_dead" },
	{ 0x33be6a9, "blk_mq_freeze_queue_nomemsave" },
	{ 0xba41aed7, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x80192d6b, "crypto_alloc_shash" },
	{ 0xa8e049e2, "blk_mq_freeze_queue_wait" },
	{ 0x3e6aa7b5, "nvme_auth_gen_privkey" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x358352d8, "blk_mq_requeue_request" },
	{ 0x2ee2bcb4, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5aeccadf, "cdev_init" },
	{ 0x5a019bff, "bdev_end_io_acct" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x63054f4f, "blk_steal_bios" },
	{ 0x395e4eba, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "2744815A3C808153A6F21E1");
MODULE_INFO(rhelversion, "10.1");
