#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x5a345f7c, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x6d14aea1, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x085ad920, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xf9f7a94e, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0x665f5ecf, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x9ef8e043, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xc3092e11, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xe9c1834d, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xac56a205, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x8d92ee39, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xc0d8b650, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x5a418b9c, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xf8f80649, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x706bfcc3, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x320cb64d, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x8b7fbe27, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x4f07beee, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xb89bf0d4, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x685408b6, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xc9249b9f, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x0ed894de, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xa2e82d75, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x2a54f643, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xa1e8db4e, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xca241f49, "");
SYMBOL_CRC(fuse_do_ioctl, 0xe4fa4403, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xae1e90a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf78c5215, "super_setup_bdi_name" },
	{ 0x76d9ba25, "posix_test_lock" },
	{ 0xa4b2a53c, "truncate_inode_pages" },
	{ 0x87222089, "noop_backing_dev_info" },
	{ 0xc5686f0a, "pipe_lock" },
	{ 0xdd71f927, "generic_fillattr" },
	{ 0xa87de3aa, "vfs_fsync_range" },
	{ 0x62331ecd, "setattr_prepare" },
	{ 0xf8c56400, "filemap_migrate_folio" },
	{ 0xbde6c9ce, "clear_nlink" },
	{ 0xd6dde265, "file_check_and_advance_wb_err" },
	{ 0x29a25ee5, "d_alloc_parallel" },
	{ 0x6bade19, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa167c524, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x2bbec276, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x68e47b40, "make_vfsgid" },
	{ 0x7ed79ca4, "clear_inode" },
	{ 0xc68c5324, "inode_to_bdi" },
	{ 0xb287d311, "find_pid_ns" },
	{ 0x3761d215, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x5d8a786f, "grab_cache_page_write_begin" },
	{ 0x543057ad, "simple_dir_inode_operations" },
	{ 0xd23c19a6, "pipe_unlock" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x55e62607, "fs_param_is_string" },
	{ 0xf8c72f40, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5a296a44, "new_inode" },
	{ 0x31cee4eb, "filemap_map_pages" },
	{ 0xaca0aef0, "complete" },
	{ 0xc104408c, "dump_page" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0x274dfce9, "forget_all_cached_acls" },
	{ 0x738060b7, "init_special_inode" },
	{ 0xafc9abd9, "unregister_filesystem" },
	{ 0xad347699, "task_active_pid_ns" },
	{ 0x6398e90c, "iov_iter_single_seg_count" },
	{ 0x272649e6, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xcc3d83f2, "filemap_fdatawrite_range" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64c3d89, "d_alloc_name" },
	{ 0x96a3ec44, "replace_page_cache_folio" },
	{ 0x8ddc0d9, "inode_query_iversion" },
	{ 0x5d92cb7a, "iov_iter_advance" },
	{ 0xd202c243, "kill_fasync" },
	{ 0x3b920106, "d_make_root" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0xbb3b4353, "backing_file_splice_write" },
	{ 0xde734089, "sb_set_blocksize" },
	{ 0x94f7357d, "fget" },
	{ 0x2c892e7a, "simple_fill_super" },
	{ 0x519d9222, "xas_find" },
	{ 0xc9aba066, "sync_filesystem" },
	{ 0x3e7b2919, "noop_dirty_folio" },
	{ 0x870c8f6c, "sget_fc" },
	{ 0xab0ba49, "param_set_uint" },
	{ 0x68fe9498, "d_splice_alias" },
	{ 0x9eacc2f9, "iov_iter_get_pages2" },
	{ 0x5984dacd, "direct_write_fallback" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x604baf84, "from_vfsuid" },
	{ 0x9dd9d64a, "page_get_link" },
	{ 0x2ce35249, "generic_permission" },
	{ 0x7b4d4b27, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5d04386, "invalidate_inode_pages2_range" },
	{ 0x752cb53, "posix_lock_file" },
	{ 0x68f0c872, "finish_open" },
	{ 0x83b6c9a, "dax_iomap_rw" },
	{ 0x7b0398a7, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xf49fb2ad, "logfc" },
	{ 0x928e129f, "iter_file_splice_write" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xae151832, "init_pid_ns" },
	{ 0xb5e84a26, "dax_iomap_fault" },
	{ 0x42d78772, "iov_iter_init" },
	{ 0xadda7f4b, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x7cb56be0, "sysfs_create_mount_point" },
	{ 0x4c7d9d4b, "generic_file_write_iter" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfe16c1cc, "register_filesystem" },
	{ 0x71782481, "folio_add_lru" },
	{ 0x985fc911, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4ba5d2b3, "sync_inode_metadata" },
	{ 0xbd9bb6fc, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0xfb251112, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x2e5c2e23, "shrink_dcache_parent" },
	{ 0xbd7b5056, "make_vfsuid" },
	{ 0xc8747ba3, "__put_cred" },
	{ 0x2665701c, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x1ed9f349, "get_tree_nodev" },
	{ 0x24f931c8, "splice_file_range" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0x65927127, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x184dae6c, "d_mark_dontcache" },
	{ 0x162ff230, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd6ff9da5, "fs_param_is_u32" },
	{ 0x43fb1400, "inode_newsize_ok" },
	{ 0xfc1dd386, "d_drop" },
	{ 0x14f1e55a, "kill_block_super" },
	{ 0xe7a8b65, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9b43dd1b, "bdi_put" },
	{ 0xa03d6667, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x8cafdb83, "param_get_uint" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa8c11f9b, "make_kuid" },
	{ 0xb7a75f3f, "truncate_inode_pages_final" },
	{ 0xcba59e5e, "fs_kobj" },
	{ 0x70466aa1, "__filemap_set_wb_err" },
	{ 0xb71a9f14, "simple_dir_operations" },
	{ 0xc757658c, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4487f731, "backing_file_mmap" },
	{ 0xd3c1e4b8, "__filemap_get_folio" },
	{ 0xe2751bb0, "__free_pages" },
	{ 0x461d7ba7, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x8db4e00e, "put_pid_ns" },
	{ 0xc7d2cf1a, "kstrtoul_from_user" },
	{ 0x9fc97c49, "setattr_should_drop_suidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x38dff8f5, "iov_iter_extract_pages" },
	{ 0xcb5a9c2a, "backing_file_write_iter" },
	{ 0x23642020, "copy_page_from_iter_atomic" },
	{ 0xa1255305, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x3601ac05, "fs_context_for_submount" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf1dc4f53, "inode_init_once" },
	{ 0x1b635d52, "file_write_and_wait_range" },
	{ 0x5ccbf13b, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xf0825d02, "nosteal_pipe_buf_ops" },
	{ 0x247d9776, "ilookup5" },
	{ 0x8ec96a3, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xda17853e, "inode_nohighmem" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x71364c98, "release_pages" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0xe0ec92c1, "generic_file_direct_write" },
	{ 0xe46ab430, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x2b85329c, "generic_file_read_iter" },
	{ 0x28cba9ce, "inode_maybe_inc_iversion" },
	{ 0x473bed5f, "unlock_page" },
	{ 0x53d89c92, "inc_node_page_state" },
	{ 0xde7cae83, "thp_get_unmapped_area" },
	{ 0x4dea1053, "memchr" },
	{ 0xcf791b69, "truncate_pagecache" },
	{ 0x64bab109, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x952cf7f1, "backing_file_splice_read" },
	{ 0x90ec823, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0xf8347633, "write_cache_pages" },
	{ 0xc5cc7c45, "file_update_time" },
	{ 0xcebe7888, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa9f43a3c, "kmem_cache_alloc_lru_noprof" },
	{ 0xc2ae4777, "kmem_cache_free" },
	{ 0x3af93775, "fget_raw" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6e2259e9, "from_kgid" },
	{ 0x28d8f217, "fasync_helper" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcb061dbf, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa32db8c0, "from_vfsgid" },
	{ 0x928a4d88, "write_inode_now" },
	{ 0x84c14a44, "dax_writeback_mapping_range" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x41e0e9cf, "d_obtain_alias" },
	{ 0x6328e23c, "file_modified" },
	{ 0x9d2dde1d, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x28cd40e4, "folio_end_read" },
	{ 0x2ed6555f, "finish_no_open" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xdc99838e, "__folio_start_writeback" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xb98da71b, "kill_litter_super" },
	{ 0x7644ab42, "folio_end_writeback" },
	{ 0x39d65c65, "folio_alloc_noprof" },
	{ 0x920d7a3d, "from_kuid" },
	{ 0xc313c0a4, "current_in_userns" },
	{ 0xe54bb197, "fc_mount" },
	{ 0x44c2ad71, "sysfs_remove_mount_point" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x145712d2, "misc_register" },
	{ 0xf220b126, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xca1c732a, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9db6ea59, "in_group_or_capable" },
	{ 0x343ae1d2, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x56a6e4dc, "d_delete" },
	{ 0xee678b9d, "__kmem_cache_create_args" },
	{ 0x8e4431c6, "from_kgid_munged" },
	{ 0xfff33d25, "end_page_writeback" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x61329fc1, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x83ef9164, "wb_writeout_inc" },
	{ 0xe798236d, "jiffies" },
	{ 0xea8e8228, "nonseekable_open" },
	{ 0xc462b805, "dax_finish_sync_fault" },
	{ 0xcf9f0d6a, "copy_page_from_iter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8c1a24b6, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0xb5293829, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x3279788f, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe350a59, "generic_read_dir" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x606e6685, "d_add" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdc20ec03, "param_ops_bool" },
	{ 0x5600c435, "init_user_ns" },
	{ 0x2b173fdb, "folio_copy" },
	{ 0x2807742f, "d_find_alias" },
	{ 0x2d4d583e, "invalidate_inode_pages2" },
	{ 0xbcfe2c81, "inode_set_ctime_current" },
	{ 0xd9e12b02, "inc_nlink" },
	{ 0x2ae957f8, "seq_write" },
	{ 0x5a316865, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98937e, "get_tree_bdev" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x99453cd, "set_anon_super_fc" },
	{ 0xd1550e21, "seq_printf" },
	{ 0xfddc063, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5829f0d9, "generic_delete_inode" },
	{ 0x1c0cd417, "deactivate_locked_super" },
	{ 0x99a398a4, "touch_atime" },
	{ 0x6cb8c265, "__percpu_down_read" },
	{ 0xd952f815, "__d_lookup_unhash_wake" },
	{ 0x47842a4d, "set_page_dirty_lock" },
	{ 0x3e06e691, "pid_nr_ns" },
	{ 0xfb18ce5d, "generic_file_open" },
	{ 0x48f2deab, "truncate_inode_pages_range" },
	{ 0x397fd596, "__put_user_ns" },
	{ 0x6db94d3e, "alloc_pages_noprof" },
	{ 0xb9a067e9, "__folio_lock" },
	{ 0xf5a26ce8, "filemap_dirty_folio" },
	{ 0x649bddc4, "pagecache_get_page" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xa92c3c99, "stream_open" },
	{ 0x209b63f1, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x20f56ae0, "__wake_up_sync" },
	{ 0x6b1e5c4, "add_to_pipe" },
	{ 0xbf45c72d, "__fs_parse" },
	{ 0xa5f6a5b8, "dax_layout_busy_page_range" },
	{ 0x3bf43485, "filemap_splice_read" },
	{ 0xd8ca3d8a, "posix_acl_to_xattr" },
	{ 0x9bc74b69, "dget_parent" },
	{ 0x681d3d5a, "kill_anon_super" },
	{ 0xa6e3bbb8, "from_kuid_munged" },
	{ 0x676155ff, "dotdot_name" },
	{ 0xa57b6561, "iget5_locked" },
	{ 0xce41e881, "security_dentry_init_security" },
	{ 0x356fa1a8, "filemap_write_and_wait_range" },
	{ 0x460fe948, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x67114f96, "generic_write_checks" },
	{ 0x2c41bc32, "iov_iter_revert" },
	{ 0x1393d733, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x98375add, "mntget" },
	{ 0x56115a3, "filemap_fault" },
	{ 0xfcfd104b, "d_invalidate" },
	{ 0x1a9dfe9d, "__mark_inode_dirty" },
	{ 0x1026be64, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc4175291, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xb5daf005, "drop_nlink" },
	{ 0x156acce4, "fault_in_iov_iter_readable" },
	{ 0xbb25714, "filemap_check_errors" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x5b35cc11, "fs_param_is_uid" },
	{ 0xaddd5aea, "bdi_set_max_ratio" },
	{ 0x395e4eba, "kmem_cache_destroy" },
	{ 0x1d1045df, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5D13ABF9481E15A7E90506F");
MODULE_INFO(rhelversion, "10.1");
