#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x0e40ba9f, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xdacd2117, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x842ed7d0, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x7d8da521, "");
SYMBOL_CRC(gss_mech_put, 0xa20af44e, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x5a4cbcc5, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xd1467d63, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6986c82c, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x4fdeb7e8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6bade19, "vmemmap" },
	{ 0x9f1db7ac, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x2fab7fd1, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x979808, "bpf_trace_run4" },
	{ 0xb3e4a187, "xdr_stream_decode_opaque_auth" },
	{ 0xa8520a23, "param_ops_uint" },
	{ 0xe6297831, "xdr_write_pages" },
	{ 0x244e7195, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xc4759cc9, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x24c033ce, "xdr_inline_decode" },
	{ 0x5b6fbfe, "cache_create_net" },
	{ 0x4b93a990, "rpcauth_destroy_credcache" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xebd0109f, "bpf_trace_run6" },
	{ 0x83e52e52, "rpc_net_ns" },
	{ 0xc5b0ddae, "read_bytes_from_xdr_buf" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x3bf0523b, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xa3214eea, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xe084b858, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x78f94381, "xdr_truncate_decode" },
	{ 0xf364e08e, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xa2971334, "__xdr_commit_encode" },
	{ 0x8ab8998f, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb0d1e73f, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xc8747ba3, "__put_cred" },
	{ 0x12db1491, "register_pernet_subsys" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xb27d4df7, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x215d27f4, "rpc_release_client" },
	{ 0x9b0ab3d5, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd4c8dfd7, "svc_auth_register" },
	{ 0x6e9ecdec, "xdr_stream_encode_opaque_auth" },
	{ 0xa8c11f9b, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x1fd28cb5, "rpc_destroy_pipe_data" },
	{ 0xe2751bb0, "__free_pages" },
	{ 0x33c4bac1, "rpc_pipe_generic_upcall" },
	{ 0xcc317fb8, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x730768cd, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6ca91ebf, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0x66b7118c, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x7cbbf4e7, "rpcauth_init_credcache" },
	{ 0xb072529e, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xcc9d7e9b, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0xa0b4681b, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb30b7e2c, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa134350, "rpc_create" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0x7ce17599, "rpc_call_sync" },
	{ 0x920d7a3d, "from_kuid" },
	{ 0xa38027a4, "unregister_pernet_subsys" },
	{ 0xb41b2a83, "rpc_queue_upcall" },
	{ 0x244827ad, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x268a6e02, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x138a5279, "svcauth_unix_set_client" },
	{ 0xfbf9ba04, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x343ae1d2, "make_kgid" },
	{ 0x6ea00e46, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x187cb7b6, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xea8e8228, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x683dadbe, "bpf_trace_run3" },
	{ 0xb3829112, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x9b3e26f2, "rpc_mkpipe_dentry" },
	{ 0xc9d42d3f, "rpc_mkpipe_data" },
	{ 0x891fcdf8, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x83630f00, "cache_register_net" },
	{ 0x5600c435, "init_user_ns" },
	{ 0x39984709, "xdr_inline_pages" },
	{ 0x5a316865, "__folio_put" },
	{ 0x146d596e, "remove_proc_entry" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xcb6ea90c, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6db94d3e, "alloc_pages_noprof" },
	{ 0xcec7660, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x7c972d18, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xa6e3bbb8, "from_kuid_munged" },
	{ 0x5200e26d, "rpcauth_init_cred" },
	{ 0x50933603, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x29c052e6, "cache_destroy_net" },
	{ 0x44438738, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xe6ccf46, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xb0131bfc, "sunrpc_cache_update" },
	{ 0xf1cf7b0d, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2046c187, "auth_domain_put" },
	{ 0x334e2b1a, "rpcauth_unwrap_resp_decode" },
	{ 0xeb58fa41, "rpcauth_register" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.1");
