#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x11177843, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x9afbfc5e, "_gpl");
SYMBOL_CRC(tls_get_record, 0x2b47362a, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x4f37d1ef, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xa2c32fd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd84bdef, "sk_msg_free" },
	{ 0xd4b569da, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6bade19, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1eccbc40, "tcp_read_sock" },
	{ 0x979808, "bpf_trace_run4" },
	{ 0x56c9bf80, "skb_copy_bits" },
	{ 0x251429a6, "sk_page_frag_refill" },
	{ 0xc30d53ea, "skb_put" },
	{ 0xc30e3654, "tcp_sendmsg_locked" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1569be51, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbfab858c, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x1cec700d, "sk_psock_msg_verdict" },
	{ 0xebd0109f, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xf921a21d, "__trace_trigger_soft_disabled" },
	{ 0xb72ebbca, "trace_event_printf" },
	{ 0x9eacc2f9, "iov_iter_get_pages2" },
	{ 0x90d53037, "___pskb_trim" },
	{ 0x38fd1546, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xf29ac965, "clean_acked_data_enable" },
	{ 0x5ad574ff, "skb_splice_bits" },
	{ 0x50f06a18, "crypto_alloc_aead" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x2e474974, "crypto_aead_setauthsize" },
	{ 0x89a41978, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xf4aa4b71, "sk_stream_error" },
	{ 0x80a7f224, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe2877f5b, "sk_msg_memcopy_from_iter" },
	{ 0x6e2ffda1, "sk_error_report" },
	{ 0x12db1491, "register_pernet_subsys" },
	{ 0x4e471333, "put_cmsg" },
	{ 0x7dba52fb, "__sk_flush_backlog" },
	{ 0x16c2df85, "trace_event_buffer_commit" },
	{ 0xafff8e25, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x13899787, "sk_psock_tls_strp_read" },
	{ 0x48afdd93, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc8395ecf, "__alloc_skb" },
	{ 0x7520cd43, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x38dff8f5, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x55b7d978, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7ec361f6, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2c3f5e04, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd4537e48, "__traceiter_sk_data_ready" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x71aa603a, "crypto_aead_encrypt" },
	{ 0xec54afd2, "sk_skb_reason_drop" },
	{ 0xdf66faa2, "bpf_trace_run5" },
	{ 0xe4e030a2, "sk_free" },
	{ 0x1888299, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x988e2c4f, "__sk_mem_reclaim" },
	{ 0x165b2799, "sk_stream_wait_memory" },
	{ 0xff182e8, "nla_put" },
	{ 0xa6535b83, "trace_event_reg" },
	{ 0x5532e557, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1d035afb, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe50a9088, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x97280e26, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb4c47bd9, "skb_copy_datagram_iter" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x798ad32f, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa38027a4, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x9f70f4a1, "sock_efree" },
	{ 0x818dc5d1, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5c82c622, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf2d46cd5, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xf59a46bb, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x2299842d, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x381ccd05, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x286e6440, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x683dadbe, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xac41e845, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x94228198, "skb_page_frag_refill" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x1398f944, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x49f06c0c, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5a316865, "__folio_put" },
	{ 0x146d596e, "remove_proc_entry" },
	{ 0x49fb2c5, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd1550e21, "seq_printf" },
	{ 0x60328fd, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf906578a, "skb_clone" },
	{ 0xfc901b6b, "dst_release" },
	{ 0x669fe888, "_copy_from_iter" },
	{ 0x2f48f81e, "skb_copy_header" },
	{ 0x70f54d8c, "sk_msg_trim" },
	{ 0x6db94d3e, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x9a9169e2, "netdev_sk_get_lowest_dev" },
	{ 0xb1fb118, "sk_msg_alloc" },
	{ 0x9aa615ce, "_copy_from_iter_nocache" },
	{ 0x2f5cb90, "tcp_rate_check_app_limited" },
	{ 0xd80f8221, "tcp_poll" },
	{ 0x2c41bc32, "iov_iter_revert" },
	{ 0xdeb622c9, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xb6128249, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc4175291, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa1ce1adf, "kmalloc_caches" },
	{ 0xf883d614, "tcp_read_done" },
	{ 0x7a2423dd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3245829c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B90BAD305241EC2223188D");
MODULE_INFO(rhelversion, "10.1");
